/******************************************************************************/
/* Sistemas Integrados TECNISA                                                */
/*                                                                            */
/* Compras e Suprimentos                                                      */
/*                                                                            */
/******************************************************************************/
/*                                                                            */
/* Nome: 8230_CMPFUN_PZO_PGTAF                                                */
/*                                                                            */
/* Descrio:                                                                 */
/* Retorna os prazos de pagamento e uma coleta concatenados em uma string     */
/*                                                                            */
/*                                                                            */
/* Criao:                                                                   */
/* 04/05/99 - Yoris L. de Souza                                               */
/*                                                                            */
/* Manutenes:                                                               */
/*   /  /   -                                                                 */
/*                                                                            */
/*                                                                            */
/******************************************************************************/

/******************************************************************************/
/* PARAMETROS:                                                                */
/*                                                                            */
/* P_CDFILIAL     - Cdigo da Filial                                          */
/* P_CDPRODUTO    - Cdigo do Produto                                         */
/******************************************************************************/

-- @H:\SISTEMAS\DBA\SQL\ORACLE\8230_CMPFUN_PZO_PGTAF.SQL
-- @D:\SQL\EFETIVA\8230_CMPFUN_PZO_PGTAF.SQL

CREATE OR REPLACE FUNCTION PZO_PGTAF
  (P_CDFILDEST   IN PRAZOPGTAF.CDFILDEST%TYPE,
   P_CDFILLANC   IN PRAZOPGTAF.CDFILLANC%TYPE,
   P_NRAUTOFORN  IN PRAZOPGTAF.NRAUTOFORN%TYPE) RETURN CHAR IS
   V_NRPZOPGTAF  VARCHAR2(1000);

BEGIN

 V_NRPZOPGTAF := '';

 FOR C_PZO_PGTO IN (SELECT TO_CHAR(NRDIASPGTOAF) AS NRPZOPGT,
                           TO_CHAR(VRPERCPGTOAF) AS VRPERPGT 
                    FROM PRAZOPGTAF
                    WHERE
                     P_CDFILDEST   = CDFILDEST AND
                     P_CDFILLANC   = CDFILLANC AND
                     P_NRAUTOFORN  = NRAUTOFORN) LOOP 

                
   V_NRPZOPGTAF := V_NRPZOPGTAF || 
                   LPAD(C_PZO_PGTO.NRPZOPGT,3,'0')
                   || '(' ||  
                   C_PZO_PGTO.VRPERPGT || '%) - ';


 END LOOP;


 RETURN (V_NRPZOPGTAF);
END;
/